## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate trust-dns-https

Name:           rust-%{crate}
Version:        0.20.4
Release:        %autorelease
Summary:        Trust-DNS is a safe and secure DNS library

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/trust-dns-https
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
# ring is not available on ppc64le and s390x
ExcludeArch:    ppc64le s390x

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Trust-DNS is a safe and secure DNS library. This is an extension for the Trust-
DNS client to use DNS over HTTPS.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+backtrace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+backtrace-devel %{_description}

This package contains library source intended for building other packages which
use the "backtrace" feature of the "%{crate}" crate.

%files       -n %{name}+backtrace-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-https-rustls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-https-rustls-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-https-rustls" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-https-rustls-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# skip tests that require internet connectivity
%cargo_test -- --  --skip test_https_cloudflare --skip test_https_google
%endif

%changelog
* Sun Jul 17 2022 Fabio Valentini <decathorpe@gmail.com> 0.20.4-1
- Update to version 0.20.4

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 01 2021 Fabio Valentini <decathorpe@gmail.com> - 0.20.3-1
- Initial package

